<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://shariahRecordGoldBrowse.caption"
        focusComponent="shariahRecordsTable">
    <data readOnly="true">
        <collection id="shariahRecordsDc"
                    class="com.company.management.entity.ShariahRecord">
            <fetchPlan extends="_base">
                <property name="deliveryRecord" fetchPlan="_base">
                    <property name="purchaseRecord" fetchPlan="_base">
                        <property name="type" fetchPlan="_base"/>
                        <property name="status" fetchPlan="_base"/>
                    </property>
                    <property name="status" fetchPlan="_base"/>
                </property>
                <property name="status" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="shariahRecordsDl">
                <query>
                    <![CDATA[select e from ShariahRecord e
                    where e.deliveryRecord.purchaseRecord.type.code = :deliveryRecordPurchaseRecordTypeCode1
                    and e.deliveryRecord.purchaseRecord.issuanceType.code = :code order by e.createdDate desc]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" height="100%" width="100%">
        <tabSheet id="goldTab" width="100%" responsive="true">
            <tab id="goldBar" margin="true" caption="msg://Gold Bar" spacing="true">
                <filter id="filter"
                        dataLoader="shariahRecordsDl">
                    <properties include=".*"/>
                </filter>
                <table id="shariahRecordsTable"
                            width="100%"
                            dataContainer="shariahRecordsDc">
                    <actions>
                        <action id="edit" type="edit"/>
                        <action id="excelExport" type="excelExport" caption="msg://Export"/>
                    </actions>
                    <columns>
                        <column id="deliveryRecord.purchaseRecord.description" caption="msg://Description"/>
                        <column id="deliveryRecord.purchaseRecord.po_Num" caption="msg://PO No."/>
                        <column id="deliveryRecord.purchaseRecord.type" caption="msg://Gold Type"/>
                        <column id="deliveryRecord.deliveryReceipt" caption="msg://Delivery Receipt No."/>
                        <column id="createdDate" caption="msg://Timestamp"/>
                        <column id="status.name" caption="msg://Status"/>
                    </columns>
                    <simplePagination itemsPerPageVisible="true" itemsPerPageDefaultValue="20"/>
                    <buttonsPanel id="buttonsPanel"
                                  alwaysVisible="true">
                        <button id="editBtn" action="shariahRecordsTable.edit"/>
                        <button id="shariahRecordsTableExcelExportBtn" action="shariahRecordsTable.excelExport"/>
                    </buttonsPanel>
                </table>
                <hbox id="lookupActions" spacing="true" visible="false">
                    <button action="lookupSelectAction"/>
                    <button action="lookupCancelAction"/>
                </hbox>
            </tab>
            <tab id="goldDinar" margin="true" caption="msg://Gold Dinar" spacing="true">
                <filter id="filterDinar"
                        dataLoader="shariahRecordsDl">
                    <properties include=".*"/>
                </filter>
                <table id="shariahRecordsTableDinar"
                            width="100%"
                            dataContainer="shariahRecordsDc">
                    <actions>
                        <action id="edit" type="edit"/>
                    </actions>
                    <columns>
                        <column id="deliveryRecord.purchaseRecord.description" caption="msg://Description"/>
                        <column id="deliveryRecord.purchaseRecord.po_Num" caption="msg://PO No."/>
                        <column id="deliveryRecord.purchaseRecord.type" caption="msg://Gold Type"/>
                        <column id="deliveryRecord.deliveryReceipt" caption="msg://Delivery Receipt No."/>
                        <column id="createdDate" caption="msg://Timestamp"/>
                        <column id="status.name" caption="msg://Status"/>
                    </columns>
                    <simplePagination itemsPerPageVisible="true" itemsPerPageDefaultValue="20"/>
                    <buttonsPanel id="buttonsPanelDinar"
                                  alwaysVisible="true">
                        <button id="editBtnGold" action="shariahRecordsTableDinar.edit"/>
                    </buttonsPanel>
                </table>
                <hbox id="lookupActionsDinar" spacing="true" visible="false">
                    <button action="lookupSelectAction"/>
                    <button action="lookupCancelAction"/>
                </hbox>
            </tab>
        </tabSheet>
    </layout>
</window>
